export class LifeCycleController {
  constructor(scene) {
    this.scene = scene;
    this._lifecycle_on_create_allowed = true;
  }
  onCreateHookAllowed() {
    return this.scene.loadingController.loaded() && this._lifecycle_on_create_allowed;
  }
  onCreatePrevent(callback) {
    this._lifecycle_on_create_allowed = false;
    callback();
    this._lifecycle_on_create_allowed = true;
  }
}
